"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createShellProvider = void 0;

var _createShellContext2 = require("./helpers/createShellContext");

var _createUseShell = require("./helpers/createUseShell");

var _createUseShellState = require("./helpers/createUseShellState");

var _utils = require("./helpers/utils");

var createShellProvider = function createShellProvider(options) {
  var shellClass = (0, _utils.getShellClass)(options);
  var ProviderWrapper = (0, _utils.getProviderWrapper)(options);

  var _createShellContext = (0, _createShellContext2.createShellContext)(shellClass, ProviderWrapper),
      Provider = _createShellContext.Provider,
      Context = _createShellContext.Context;

  var useShell = (0, _createUseShell.createUseShell)(Context);
  var useShellState = (0, _createUseShellState.createUseShellState)(Context);
  return [Provider, useShell, useShellState];
};

exports.createShellProvider = createShellProvider;