"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.error_if_invalid_shellObject = exports.error_if_invalid_shellClass = exports.error_if_invalid_selector = exports.error_if_invalid_customProviderWrapper = void 0;

var _utils = require("./utils");

var error_if_invalid_shellClass = function error_if_invalid_shellClass(shellClass) {
  if (!(0, _utils.isShellClass)(shellClass)) {
    throw new TypeError('Invalid shellClass. The shellClass must inherit from the Shell class');
  }
};

exports.error_if_invalid_shellClass = error_if_invalid_shellClass;

var error_if_invalid_shellObject = function error_if_invalid_shellObject(shellObject) {
  if (!(0, _utils.isShellObject)(shellObject)) {
    throw new TypeError('Invalid shell value. The shell object must inherit from the Shell class');
  }
};

exports.error_if_invalid_shellObject = error_if_invalid_shellObject;

var error_if_invalid_customProviderWrapper = function error_if_invalid_customProviderWrapper(customProviderWrapper) {
  if (!(0, _utils.isFunction)(customProviderWrapper)) {
    throw new TypeError('Invalid customProviderWrapper. The customProviderWrapper must be a valid react component');
  }
};

exports.error_if_invalid_customProviderWrapper = error_if_invalid_customProviderWrapper;

var error_if_invalid_selector = function error_if_invalid_selector(selector) {
  if (!(0, _utils.isFunction)(selector)) {
    throw new TypeError('Invalid selector. The selector must be a function');
  }
};

exports.error_if_invalid_selector = error_if_invalid_selector;